#ifndef BMI270HC_H
#define BMI270HC_H

#include <stdint.h>
#include "user_define.h"
#include "bmi2_defs.h"


void print_bmi270_rslt(int8_t rslt);
int8_t Open_BMI270_ACC(struct bmi2_dev *dev);
int8_t Close_BMI270_ACC(struct bmi2_dev *dev);
int8_t Open_BMI270_GYRO(struct bmi2_dev *dev);
int8_t Close_BMI270_GYRO(struct bmi2_dev *dev);
void BMI270_Print_ALLRegs(struct bmi2_dev *dev);
int8_t Init_BMI270();

int8_t Read_ACC_RAWData(struct bmi2_sens_axes_data *accel);
int8_t Read_GYRO_RAWData(struct bmi2_sens_axes_data *gyro);
int8_t Set_Acc_Range(int8_t range);
	

#endif

